Bug 29696 - "Suggest for purchase" missing biblio link
Summary: "Suggest for purchase" missing biblio link
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords: regression
Depends on: 14963 28941
Blocks:
  Show dependency treegraph
 
Reported: 2021-12-15 05:48 UTC by Jonathan Druart
Modified: 2022-02-21 04:46 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.02,21.05.08,20.11.15


Attachments
Bug 29696: Add tests (2.21 KB, patch)
2021-12-15 06:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29696: Preserve link to biblio when creating a suggestion (1.31 KB, patch)
2021-12-15 06:04 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29696: Preserve link to biblio when creating a suggestion (1.37 KB, patch)
2021-12-18 22:34 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29696: Add tests (2.28 KB, patch)
2021-12-18 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29696: Preserve link to biblio when creating a suggestion (1.37 KB, patch)
2021-12-18 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29696: Add tests (2.33 KB, patch)
2021-12-21 10:37 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 29696: Preserve link to biblio when creating a suggestion (1.43 KB, patch)
2021-12-21 10:37 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-12-15 05:48:50 UTC
Caused by 
  commit 586bed1319592e05f5dc3acf64a1dba8cae69d6b
  Bug 28941: Filter suggestion inputs at the OPAC

We are loosing the link with the biblio (suggestion.biblionumber)
Comment 1 Jonathan Druart 2021-12-15 06:04:40 UTC
Created attachment 128536 [details] [review]
Bug 29696: Add tests
Comment 2 Jonathan Druart 2021-12-15 06:04:44 UTC
Created attachment 128537 [details] [review]
Bug 29696: Preserve link to biblio when creating a suggestion

Caused by
  commit 586bed1319592e05f5dc3acf64a1dba8cae69d6b
  Bug 28941: Filter suggestion inputs at the OPAC

We are loosing the link with the biblio (suggestion.biblionumber)

Test plan:
At the OPAC, go to the detail page of a bibliographic record, click
"Suggest for purchase" and submit the form.
Without this patch the suggestion is created but the link to the
bibliographic record is lost
With this patch applied you should see that suggestions.biblionumber has
correctly been preserved
Comment 3 Katrin Fischer 2021-12-15 10:25:27 UTC
Thx Joubu!
Comment 4 Katrin Fischer 2021-12-18 22:34:41 UTC
Created attachment 128701 [details] [review]
Bug 29696: Preserve link to biblio when creating a suggestion

Caused by
  commit 586bed1319592e05f5dc3acf64a1dba8cae69d6b
  Bug 28941: Filter suggestion inputs at the OPAC

We are loosing the link with the biblio (suggestion.biblionumber)

Test plan:
At the OPAC, go to the detail page of a bibliographic record, click
"Suggest for purchase" and submit the form.
Without this patch the suggestion is created but the link to the
bibliographic record is lost
With this patch applied you should see that suggestions.biblionumber has
correctly been preserved

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-12-18 22:35:45 UTC
Created attachment 128702 [details] [review]
Bug 29696: Add tests

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-12-18 22:35:49 UTC
Created attachment 128703 [details] [review]
Bug 29696: Preserve link to biblio when creating a suggestion

Caused by
  commit 586bed1319592e05f5dc3acf64a1dba8cae69d6b
  Bug 28941: Filter suggestion inputs at the OPAC

We are loosing the link with the biblio (suggestion.biblionumber)

Test plan:
At the OPAC, go to the detail page of a bibliographic record, click
"Suggest for purchase" and submit the form.
Without this patch the suggestion is created but the link to the
bibliographic record is lost
With this patch applied you should see that suggestions.biblionumber has
correctly been preserved

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2021-12-18 22:36:28 UTC
Thx a lot. I had some trouble running the selenium tests (with and without patch), so maybe QA can take care of that? :)
Comment 8 Martin Renvoize 2021-12-21 10:37:46 UTC
Created attachment 128818 [details] [review]
Bug 29696: Add tests

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 9 Martin Renvoize 2021-12-21 10:37:50 UTC
Created attachment 128819 [details] [review]
Bug 29696: Preserve link to biblio when creating a suggestion

Caused by
  commit 586bed1319592e05f5dc3acf64a1dba8cae69d6b
  Bug 28941: Filter suggestion inputs at the OPAC

We are loosing the link with the biblio (suggestion.biblionumber)

Test plan:
At the OPAC, go to the detail page of a bibliographic record, click
"Suggest for purchase" and submit the form.
Without this patch the suggestion is created but the link to the
bibliographic record is lost
With this patch applied you should see that suggestions.biblionumber has
correctly been preserved

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 10 Fridolin Somers 2021-12-22 07:11:39 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 11 Kyle M Hall 2022-01-07 11:12:15 UTC
Pushed to 21.11.x for 21.11.02
Comment 12 Andrew Fuerste-Henry 2022-01-10 15:38:00 UTC
Pushed to 21.05.x for 21.05.08
Comment 13 Victor Grousset/tuxayo 2022-02-07 10:59:50 UTC
Backported: Pushed to 20.11.x branch for 20.11.15
Comment 14 wainuiwitikapark 2022-02-15 03:33:31 UTC
Do I need to backport this to 19.11.x? I probably won't unless there is a need for it
Comment 15 wainuiwitikapark 2022-02-21 04:46:35 UTC
Not backported to 19.11.x for 19.11.26. Please request it if you need it.